import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class I18nService {
    langList: any;
    private document;
    dropdownChanged: EventEmitter<string>;
    currentLanguage: string;
    constructor(langList: any, document: Document);
    initLang(): void;
    getString(key: any): any;
    languageChange(lang: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<I18nService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<I18nService>;
}
